package Test;

import com.*;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class AirplaneTest {
    static Airplane a;
    static Flight f;
    static Passenger p;
    static Ticket t;

    @BeforeAll
    public static void createFlight() {
        a = new Airplane("FC001");
        f = new Flight(1, "Tehran", "Esfehan", "5/3/2019", 10, 2, "Roham Air", a);
        t = new Ticket(f, 1, 1000, 50, 1);
        p = new Passenger("Roham", "Zendehdel", 1);
    }

    @Test
    void getType() {
        assertEquals("FC001", a.getType());
    }

    @Test
    void addSeat() {
        a.addSeat(new Seat("Economy", 1));
        assertEquals("Economy", a.getSeats().get(1).getType());
    }

    @Test
    void getSeats() {
        assertEquals("Economy", a.getSeats().get(1).getType());
    }

    @Test
    void reserveSeat() {
        assertEquals(0, a.reserveSeat(new Seat("Economy", 1)));
    }

    @Test
    void getEmptySeats() {
        assertEquals(0, a.getEmptySeats().size());
    }

    @Test
    void getReservedSeats() {
        assertEquals("Economy", a.getReservedSeats().get(1).getType());
    }
}