package Test;

import com.*;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class PassengerTest {
    static Airplane a;
    static Flight f;
    static Passenger p;
    static Ticket t;

    @BeforeAll
    public static void createFlight() {
        a = new Airplane("FC001");
        f = new Flight(1, "Tehran", "Esfehan", "5/3/2019", 10, 2, "Roham Air", a);
        t = new Ticket(f, 1, 1000, 50, 1);
        p = new Passenger("Roham", "Zendehdel", 1);
        a.addSeat(new Seat("Economy", 1));
    }

    @Test
    void getFirstName() {
        assertEquals("Roham", p.getFirstName());
    }

    @Test
    void getLastName() {
        assertEquals("Zendehdel", p.getLastName());
    }

    @Test
    void getId() {
        assertEquals(1, p.getId());
    }

    @Test
    void reserveTicket() {
        assertEquals(1, a.getEmptySeats().size());
        assertEquals(0, p.reserveTicket(t));
        assertEquals(1, a.getReservedSeats().get(1).getNumber());
        assertEquals("Economy", a.getReservedSeats().get(1).getType());
        assertEquals(p, a.getSeats().get(1).getPassenger());
        assertEquals(p, a.getReservedSeats().get(1).getPassenger());
        assertEquals(0, a.getEmptySeats().size());
    }

    @Test
    void getReservedTicket() {
        assertEquals(t, p.getReservedTicket());
    }
}