package Test;

import com.*;
import com.System;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class SystemTest {
    static System system;
    static Flight flight;
    static Airplane airplane;
    static Passenger passenger;

    @BeforeAll
    public static void createSystem() {
        system = new System("Roham Air");
        airplane = new Airplane("FC001");
        flight = new Flight(1, "Tehran", "Mexico", "5/3/2019", 10, 30, "Roham Air", airplane);
        passenger = new Passenger("Roham", "Zendehdel", 1);
        system.addFlight(flight);
        airplane.addSeat(new Seat("Economy", 1));
        airplane.addSeat(new Seat("Economy", 2));
        system.addPassenger(passenger);
        passenger.reserveTicket(new Ticket(flight, 1, 1000, 50, 1));
    }

    @Test
    public void testSystem() {
        assertEquals(2, airplane.getSeats().size());
        assertEquals("Roham", airplane.getSeats().get(1).getPassenger().getFirstName());
        assertEquals(flight.getId(), passenger.getReservedTicket().getFlight().getId());
        assertEquals(1, airplane.getEmptySeats().size());
        assertEquals("Mexico", system.getFlights().get(0).getDestination());
        system.removeFlight(flight);
        assertEquals(0, system.getFlights().size());
    }
}