package com;

/**
 * The Flight class representing the the flights that take place in an airport and the details of the flight
 *
 * @author Roham Zendehdel
 * @version 1.00, May 2019
 */
public class Flight {
    private int id;
    private String source;
    private String destination;
    private String date;
    private int hour;
    private int minute;
    private String companyName;
    private Airplane airplane;

    public Flight(int id, String source, String destination, String date, int hour, int minute, String companyName, Airplane airplane) {
        this.id = id;
        this.source = source;
        this.destination = destination;
        this.date = date;
        this.hour = hour;
        this.minute = minute;
        this.companyName = companyName;
        this.airplane = airplane;
    }

    /**
     * Getting the id of the flight
     *
     * @return the id of the flight
     */
    public int getId() {
        return id;
    }

    /**
     * getting the source of the flight
     *
     * @return source of the flight
     */
    public String getSource() {
        return source;
    }

    public String getDestination() {
        return destination;
    }

    public String getDate() {
        return date;
    }

    public int getHour() {
        return hour;
    }

    public int getMinute() {
        return minute;
    }

    public String getCompanyName() {
        return companyName;
    }

    public Airplane getAirplane() {
        return airplane;
    }
}
