package com;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * The System class represents a core system controlling all the flights and passengers
 *
 * @author Roham Zendehdel
 * @version 1.00, May 2019
 */
public class System {
    private HashMap<Integer, Flight> flights;
    private HashMap<Integer, Passenger> passengers;
    private String companyName;

    public System(String Name) {
        this.companyName = Name;
        this.flights = new HashMap<>();
        this.passengers = new HashMap<>();
    }

    /**
     * Gets the flight list
     *
     * @return list of flights
     */
    public ArrayList<Flight> getFlights() {
        ArrayList<Flight> f = new ArrayList<>();
        for (Flight value : flights.values()) {
            f.add(value);
        }
        return f;
    }

    /**
     * Adding a flight to the flight list
     *
     * @param f the flight that is going to get added to the flight list
     */
    public void addFlight(Flight f) {
        flights.put(f.getId(), f);
    }

    /**
     * Removing a flight from the flight list
     *
     * @param f the requested flight that needs to be removed from the list
     */
    public void removeFlight(Flight f) {
        flights.remove(f.getId(), f);
    }

    public void addPassenger(Passenger passenger) {
        this.passengers.put(passenger.getId(), passenger);
    }

    public ArrayList<Passenger> getPassengers() {
        ArrayList<Passenger> p = new ArrayList<>();
        for (Passenger value : passengers.values()) {
            p.add(value);
        }
        return p;
    }
}
